%define name python-markdown
%define version 2.3.1
%define release %mkrel 1
%define oname Markdown

Summary: Python implementation of the markdown text-to-HTML conversion tool
Name: %{name}
Version: %{version}
Release: %{release}
Source:  http://pypi.python.org/packages/source/M/Markdown/%oname-%version.tar.xz
License: BSD
Group: Development/Python
BuildRequires: python-devel
BuildRequires: python-nose
Url: http://www.freewisdom.org/projects/python-markdown/ 
BuildArch: noarch

%description
This is a Python implementation of John Gruber's Markdown. It is almost 
completely compliant with the reference implementation, though there 
are a few known issues

Markdown  is a text-to-HTML conversion tool for web writers. Markdown 
allows you to write using an easy-to-read, easy-to-write plain text format, 
then convert it to structurally valid XHTML (or HTML).


%prep
%setup -q -n %oname-%version 
# remove shebangs
find markdown -type f -name '*.py' \
  -exec sed -i -e '/^#!/{1D}' {} \;

# fix line-ending
sed -i 's/\r//' docs/release-2.2.0.txt


%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# rename binary
mv %{buildroot}%{_bindir}/markdown_py{,-%{python_version}}

# 2.X binary is called by default for now
ln -s markdown_py-%{python_version} %{buildroot}%{_bindir}/markdown_py


%files 
%doc build/docs/*
%{python_sitelib}/*
%{_bindir}/markdown_py
%{_bindir}/markdown_py-%{python_version}


%changelog
* Sat Aug 10 2013 billybot <billybot> 2.3.1-1pclos2013
- update
